## org.springframework.format.datetime.joda
Class ReadablePartialPrinter

    java.lang.Object
      org.springframework.format.datetime.joda.ReadablePartialPrinter

All Implemented Interfaces:
  Printer<org.joda.time.ReadablePartial>

    public final class ReadablePartialPrinter

extends Object
implements Printer<org.joda.time.ReadablePartial>

Prints JodaTime `ReadablePartial` instances using a `DateTimeFormatter`.

Since:
  3.0
Author:
  Keith Donald

Constructor Summary
`ReadablePartialPrinter(org.joda.time.format.DateTimeFormatter formatter)` Create a new ReadableInstantPrinter.

Method Summary
`String` `print(org.joda.time.ReadablePartial partial, Locale locale)` Print the object of type T for display.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadablePartialPrinter

    public ReadablePartialPrinter(org.joda.time.format.DateTimeFormatter formatter)

  Create a new ReadableInstantPrinter.

  Parameters:
    `formatter` - the Joda DateTimeFormatter instance

Method Detail

### print

    public String print(org.joda.time.ReadablePartial partial,
                        Locale locale)

  Description copied from interface: `Printer`
  Print the object of type T for display.

  Specified by:
    `print` in interface `Printer<org.joda.time.ReadablePartial>`
  Parameters:
    `partial` - the instance to print
    `locale` - the current user locale
  Returns:
    the printed text string